%define major	21
%define libname %mklibname git2_ %{major}
%define devname %mklibname -d git2

Name:		libgit2
Version:	0.21.1
%define         subrel 2
Release:	%mkrel 3
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries
License:	GPLv2 with exceptions
URL:		http://libgit2.github.com/
Source0:	https://github.com/libgit2/libgit2/archive/v%{version}/%{name}-%{version}.tar.gz

# Use system libxdiff
#Patch0: libgit2-0.19.0-system-libxdiff.patch

# Add htonl() and friends declarations on non-x86 arches
Patch1:		libgit2-0.19.0-non-x86.patch

#Patch2:  libgit2-build-fix.diff


Patch100:       66e3774d279672ee51c3b54545a79d20d1ada834.patch
Patch101:       2fdef641fd0dd2828bd948234ae86de75221a11a.patch
Patch102:       0001-commit-always-initialize-commit-message.patch

BuildRequires:	cmake >= 2.6
BuildRequires:	http-parser-devel
#BuildRequires: libxdiff-devel
BuildRequires:	openssl-devel
BuildRequires:	python
BuildRequires:	zlib-devel

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{libname}
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries

%description -n %{libname}
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%apply_patches

# Remove VCS files from examples
find examples -name ".gitignore" -delete

# Fix pkgconfig generation
sed -i 's|@CMAKE_INSTALL_PREFIX@/||' libgit2.pc.in

# Don't test network
sed -i 's/ionline/xonline/' CMakeLists.txt

# Remove bundled libraries
rm -rf deps
#rm -rf src/xdiff

%build
%cmake -DTHREADSAFE:BOOL=ON
%make

%check
ctest -V

%install
%makeinstall_std -C build

%files -n %{libname}
%doc README.md COPYING AUTHORS
%{_libdir}/libgit2.so.%{major}
%{_libdir}/libgit2.so.0.%{major}.*

%files -n %{devname}
%doc docs examples
%{_libdir}/libgit2.so
%{_libdir}/pkgconfig/libgit2.pc
%{_includedir}/git2*


%changelog
* Fri Aug 11 2017 neoclust <neoclust> 0.21.1-3.2.mga5
+ Revision: 1139768
- Add P102 - Fixes CVE-2016-8568 CVE-2016-8569 (mga#19553)
- Add P101 - Fixes CVE-2016-10129 (mga#19792)
- Add P100 - Fixes CVE-2016-10128 (mga#19792)

* Wed Oct 15 2014 umeabot <umeabot> 0.21.1-3.mga5
+ Revision: 744920
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.21.1-2.mga5
+ Revision: 681487
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 wally <wally> 0.21.1-1.mga5
+ Revision: 661399
- new version 0.21.1

* Sun Jun 22 2014 wally <wally> 0.21.0-1.mga5
+ Revision: 638700
- new version 0.21.0
- new lib major 21

* Tue Feb 04 2014 wally <wally> 0.20.0-1.mga5
+ Revision: 582084
- clean .spec a bit

* Fri Jan 10 2014 tv <tv> 0.20.0-1.mga4
+ Revision: 566119
- imported package libgit2


* Mon Jan 06 2014 Thierry Vignaud <tv@mageia.org> 0.19.0-1.mga4
- initial release (based on FC)
- temporary build with internal xdiff
